﻿<%@ Page Language="VB" AutoEventWireup="true" Inherits="DotNetNuke.Modules.DreamSlider.ImagePicker" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>ImagePicker</title>
    <script language="javascript" type="text/javascript">
        function ImageClick(url) {
            if (window.opener != null) {
                window.opener.frames.document.forms[0].elements[document.getElementById("hfopenerControl").value].value = url;
                window.opener.frames.document.forms[0].elements[document.getElementById("hfopenerControl").value].focus();
                window.close();
            }
        }
    </script>
    <style type="text/css">
        body{font-family: Verdana, Arial, Sans-Serif;font-size: 10px;}
        .holder         {position:relative;width:340px;}
        .row            {margin:5px 0;}
        .label          {width:50px;padding:5px 0px;font:normal 12px tahoma;color:#000000;}
        .fileUpload     {height:15px;font:normal 12px tahoma;margin-left:3px;}
        .inline         {display:inline;}
        .ddlDirectories {width:278px;border: 1px solid #cccccc;padding:4px;color:#555555;font:normal 11px Verdana;}
        
        a.upload,
        a.upload:link   {background-color: #e1e1e1;color:#555555;font:Normal 11px Arial;width:45px;height:20px;line-height:20px;text-align:center;border: 1px solid #cccccc;text-decoration:none;display:inline-block;}
        a.upload:hover  {text-decoration:underline;}

        .repeater       {height:100%;position:relative;}
        .item           {background-color: #e1e1e1;border: 1px solid #cccccc;width:105px;height:110px;text-align: center;vertical-align:top}
        .item a,
        .item a:hover   {text-decoration:none;}
        .item-label     {color:#555555;}
        .item-size      {color:#555555;}
        .info           {position:absolute;bottom:10px;width:100%;}
        .item-image     {padding:5px 5px;}
    </style>
    
</head>
<body>
    <form id="formImagePicker" runat="server">
    
    <br />
    <div class="holder">
        <div class="row">
            <div class="label inline">Upload:</div>
            <div class="fileUpload inline"><asp:FileUpload ID="fuUploadFile" runat="server" CssClass="fileupload" /></div>
            <div class="button inline"><asp:LinkButton ID="upload" runat="server" CssClass="upload" Text="Upload"/></div>
        </div>
        <div class="row">
            <div class="label inline">Browse:</div>
            <div class="dropdownlist inline"><asp:DropDownList ID="ddlDirectories" runat="server" OnSelectedIndexChanged="ddlDirectories_SelectedIndexChanged" AutoPostBack="true" CssClass="ddlDirectories" /></div>
        </div>
        <br />
        <div>
            <asp:DataList ID="datalistImages" runat="server" RepeatColumns="3" RepeatDirection="Horizontal"
                DataKeyField="RelativePath" ItemStyle-CssClass="item" CellSpacing="4">
                <ItemTemplate>
                    <a href="javascript:ImageClick('<%# DataBinder.Eval(Container.DataItem, "RelativePath")%>')">
                        <div class="repeater">
                            <asp:Image runat="server" ID="itemImage" ImageUrl='<%# DataBinder.Eval(Container.DataItem, "RelativePath")%>' CssClass="item-image" /><br />
                            <div class="info">
                                <asp:Label runat="server" ID="itemLabel" Text='<%# DataBinder.Eval(Container.DataItem, "Name")%>' CssClass="item-label" /><br />
                                <asp:Label runat="server" ID="itemSize" Text='<%# DataBinder.Eval(Container.DataItem, "FileSize")%>' CssClass="smallText item-size" />
                            </div>
                        </div>
                    </a>
                </ItemTemplate>
            </asp:DataList>
        </div>
    </div>

    <asp:HiddenField ID="hfopenerControl" runat="server" />

    </form>
</body>
</html>