<%@ Control Language="vb" AutoEventWireup="false" Inherits="DotNetNuke.Modules.DreamSlider.ManageContent" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="DotNetNuke" TagName="Label" Src="Controls/labelcontrol.ascx" %>
<%@ Register TagPrefix="DotNetNuke" TagName="Uploader" Src="Controls/Upload.ascx" %>

<asp:Literal ID="ActiveTab" runat="server"></asp:Literal>
<br />

<div class="Container-Outer">
    <div class="Container-Inner">
        <div class="Container">
        
            <table style="width: 100%; border: none;padding:10px 0px;" cellspacing="0" cellpadding="0">
                <tr>
                    <td style="width: 150px;">&nbsp;</td>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td colspan="2" style="padding:0px 0px 0px 260px;">
                        <div style="float:left;"><asp:ImageButton ID="btnAddNewItem" runat="server" resourcekey="AddNewItem" ImageUrl="~/Images/add.gif" /></div>
                        <div style="float:left;">&nbsp;</div>
                        <div style="float:left;width:200px;"><asp:LinkButton ID="lbtnAddNewItem" runat="server" resourcekey="AddNewItem" Text="Add New Item"></asp:LinkButton></div>
                    </td>            
                </tr>
                <tr>
                    <td colspan="2" style="padding:0px 0px 0px 240px ;">
                        <br />
                        <dnn:SectionHead ID="dshAddMultipleItems" runat="server" Cssclass="Head" IncludeRule="false"
                        IsExpanded="false" ResourceKey="AddMultipleItems" Section="tdAddMultipleItems" Text="Add Multiple Items" /> 
                    </td>
                </tr>
                <tr>
                    <td colspan="2" id="tdAddMultipleItems" runat="server">
                        <br />
                        <table style="width:100%" cellpadding="2" cellspacing="0">
                            <tr>
                                <td width="200">
                                    &nbsp;&nbsp;<DotNetNuke:Label ID="plLocale" runat="server" Suffix=":" Text="Locale" HelpText="Choose the language in which you want your slide to be displayed." />
                                </td>
                                <td>
                                    <asp:DropDownList ID="ddlLocale" runat="server" CssClass="DS-Textbox normal" Width="220px"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    &nbsp;&nbsp;<DotNetNuke:Label ID="plImageSource" runat="server" Suffix=":" Text="Image Source" HelpText="Specify whether you want to upload a picture or you choose among the available ones." />
                                </td>
                                <td>
                                    <asp:RadioButtonList ID="rblImageSource" runat="server" AutoPostBack="True" RepeatDirection="Horizontal" CssClass="DS-RadioButton">
                                        <asp:ListItem resourceKey="opt_UploadImage" Value="Upload" Selected="True">Upload Image(s)</asp:ListItem>
                                        <asp:ListItem resourceKey="opt_Browse" Value="Browse">Browse Image(s)</asp:ListItem>
                                    </asp:RadioButtonList>
                                </td>
                            </tr>
                            <tr id="UploadRow" runat="server">
                                <td width="200" valign="top">
                                    &nbsp;&nbsp;<DotNetNuke:Label ID="plUpload" runat="server" Suffix=":" Text="Upload Image(s)" HelpText="In this section we have used a flash uploader in order to upload pictures, which give the opportunity to upload one or multiple pictures. You can watch the upload process in graphical method. In order to do so, click on the following button. Right after the finalization of this stage, uploaded pictures and the chosen language applies. Allowed files are: gif, jpeg, jpg, png." />
                                </td>
                                <td>
                                    <DotNetNuke:Uploader ID="FileUpload" runat="server" />
                                    <asp:HiddenField ID="hdFileUpload" runat="server" />
                                </td>
                            </tr>
                            <tr id="BrowseServerRow" runat="server" visible="false">
                                <td width="200" valign="top">
                                    &nbsp;&nbsp;<DotNetNuke:Label ID="plBrowseServer" runat="server" Suffix=":" Text="Browse" HelpText="In order to choose the pictures, first specify a destination folder and then select among the pictures of that folder the ones that you want to upload and click on the add to list button." />
                                </td>
                                <td>
                                    <table width="100%" border="0" cellpadding="2" cellspacing="0">
                                        <tr>
                                            <td style="width:340px;">
                                                <asp:DropDownList ID="ddlDir" runat="server" AutoPostBack="true" CssClass="DS-Textbox normal" Width="340px">
                                                </asp:DropDownList>
                                            </td>
                                        </tr>
                                        <tr id="ImagesRow" runat="server">
                                            <td style="width:340px;">
                                                <table width="100%" border="0" cellpadding="2" cellspacing="0">
                                                    <tr>
                                                        <td>
                                                            <asp:CheckBoxList ID="cblImages" runat="server" Height="10px" Width="100%"
                                                            Visible="true" RepeatColumns="3" RepeatDirection="Horizontal"></asp:CheckBoxList>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:LinkButton ID="bCheckAll" runat="server" CssClass="checkall" Text="Check All"/>
                                                            <asp:LinkButton ID="bUncheckAll" runat="server" CssClass="Uncheckall" Text="Uncheck All"/>
                                                            <asp:LinkButton ID="bAddToList" runat="server" CssClass="AddToList" Text="Add To List" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>                                    
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">&nbsp;</td>
                </tr>
            </table>

        </div>
    </div>
</div>

<br />

<div class="Container-Outer">
    <div class="Container-Inner">
        <div class="Container">

            <table cellpadding="0" cellspacing="0" border="0" width="100%">
                <tr>
                    <td colspan="2">&nbsp;</td>
                </tr>
                <tr>
                    <td style="width: 180px;">
                       <DotNetNuke:Label ID="plLocalePreview" runat="server"  Suffix=":" Text="Locale Preview" HelpText="You can, by using the following control, see the available slides in each language. When you choose a language, the available slides will be displayed in that particular language. To change the language of a slide, click on the edit icon and change the language of that slide in the settings section." />
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlLocalePreview" runat="server" AutoPostBack="true" CssClass="DS-Textbox normal" Width="300px"></asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">&nbsp;</td>
                </tr>
            </table>

        </div>
    </div>
</div>

<br />

<table style="width: 100%; border: none;padding:10px 0px;" cellspacing="0" cellpadding="0">
    <tr>
        <td style="width: 10px;"></td>
        <td>

            <asp:DataList ID="dlSlides" runat="server" Width="100%" RepeatDirection="Vertical">
                <ItemTemplate>
                    <div class="lstSlide">
                        <div class="lstSlideP1">
                            <div class="lstSlideP2"><asp:Label ID="Title" runat="server"></asp:Label></div>
                            <div class="lstSlideP3">
                                <div class="lstSlideP4">&nbsp;</div>
                                <div class="lstSlideP5"><div style="padding:8px 5px;"><asp:Image ID="Image" runat="server" /></div></div>
                                <div class="lstSlideP6">
                                    <div style="padding:20px 30px 10px 10px;">
                                        <div class="TextContainer">
                                            <div class="SlideTitle"><asp:Label ID="lblDescription" runat="server" Text="Description:" resourcekey="lblDescription" /></div>
                                            <div class="SlideText"><asp:Label ID="Description" runat="server"></asp:Label></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="lstSlideP7">
                            <div class="lstSlideP8"><asp:ImageButton ID="cmdEdit" runat="server" resourcekey="cmdEdit" /></div>
                            <div class="lstSlideP9"><asp:ImageButton ID="cmdDelete" runat="server" resourcekey="cmdDelete" /></div>
                            <div class="lstSlideP10"><asp:ImageButton ID="cmdTop" runat="server" resourcekey="cmdTop" /></div>
                            <div class="lstSlideP11"><asp:ImageButton ID="cmdUp" runat="server" resourcekey="cmdUp" /></div>
                            <div class="lstSlideP12"><asp:ImageButton ID="cmdDown" runat="server" resourcekey="cmdDown" /></div>
                            <div class="lstSlideP13"><asp:ImageButton ID="cmdBottom" runat="server" resourcekey="cmdBottom"/></div>
                        </div>
                    </div>
                </ItemTemplate>
                <AlternatingItemTemplate>
                    <div class="lstSlideAlt">
                      <div class="lstSlideP1">
                            <div class="lstSlideP2"><asp:Label ID="Title" runat="server"></asp:Label></div>
                            <div class="lstSlideP3">
                                <div class="lstSlideP4">&nbsp;</div>
                                <div class="lstSlideP5"><div style="padding:8px 5px;"><asp:Image ID="Image" runat="server" /></div></div>
                                <div class="lstSlideP6">
                                    <div style="padding:20px 30px 10px 10px;">
                                        <div class="TextContainer">
                                            <div class="SlideTitle"><asp:Label ID="lblDescription" runat="server" Text="Description:" resourcekey="lblDescription" /></div>
                                            <div class="SlideText"><asp:Label ID="Description" runat="server"></asp:Label></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="lstSlideP7">
                            <div class="lstSlideP8"><asp:ImageButton ID="cmdEdit" runat="server" resourcekey="cmdEdit" /></div>
                            <div class="lstSlideP9"><asp:ImageButton ID="cmdDelete" runat="server" resourcekey="cmdDelete" /></div>
                            <div class="lstSlideP10"><asp:ImageButton ID="cmdTop" runat="server" resourcekey="cmdTop" /></div>
                            <div class="lstSlideP11"><asp:ImageButton ID="cmdUp" runat="server" resourcekey="cmdUp" /></div>
                            <div class="lstSlideP12"><asp:ImageButton ID="cmdDown" runat="server" resourcekey="cmdDown" /></div>
                            <div class="lstSlideP13"><asp:ImageButton ID="cmdBottom" runat="server" resourcekey="cmdBottom"/></div>
                        </div>
                    </div>
                </AlternatingItemTemplate>
            </asp:DataList>

        </td>
        <td style="width: 10px;"></td>
    </tr>
</table>